Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.util
[Groovy] Class PatternSet

    java.lang.Object
      org.gradle.api.tasks.util.PatternSet

All Implemented Interfaces:
  AntBuilderAware, PatternFilterable

    class PatternSet

Authors:
  Hans Dockter

Property Summary
`boolean` | `caseSensitive`

Constructor Summary
`PatternSet()`
`PatternSet(java.util.Map args)`

Method Summary
`java.lang.Object` | `addToAntBuilder(java.lang.Object node, java.lang.String childNodeName = null)`
`PatternSet` | `copyFrom(PatternFilterable sourcePattern)`
`boolean` | `equals(java.lang.Object o)`
`PatternFilterable` | `exclude(java.lang.String excludes)`
`PatternFilterable` | `exclude(java.lang.Iterable excludes)`
`PatternFilterable` | `exclude(Spec spec)`
`PatternFilterable` | `exclude(groovy.lang.Closure closure)`
`PatternFilterable` | `excludeSpecs(java.lang.Iterable excludes)`
`Spec` | `getAsSpec()`
`java.util.Set` | `getExcludeSpecs()`
`java.util.Set` | `getExcludes()`
`java.util.Set` | `getIncludeSpecs()`
`java.util.Set` | `getIncludes()`
`int` | `hashCode()`
`PatternFilterable` | `include(java.lang.String includes)`
`PatternFilterable` | `include(java.lang.Iterable includes)`
`PatternFilterable` | `include(Spec spec)`
`PatternFilterable` | `include(groovy.lang.Closure closure)`
`PatternFilterable` | `includeSpecs(java.lang.Iterable includes)`
`PatternSet` | `intersect()`
`PatternSet` | `setExcludes(java.lang.Iterable excludes)`
`static java.lang.Object` | `setGlobalExcludes(java.util.Collection excludes)`
`PatternSet` | `setIncludes(java.lang.Iterable includes)`

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Property Detail

### caseSensitive

    boolean caseSensitive

Constructor Detail

### PatternSet

    PatternSet()

### PatternSet

    PatternSet(java.util.Map args)

Method Detail

### addToAntBuilder

    java.lang.Object addToAntBuilder(java.lang.Object node, java.lang.String childNodeName = null)

### copyFrom

    PatternSet copyFrom(PatternFilterable sourcePattern)

### equals

    boolean equals(java.lang.Object o)

### exclude

    PatternFilterable exclude(java.lang.String excludes)

### exclude

    PatternFilterable exclude(java.lang.Iterable excludes)

### exclude

    PatternFilterable exclude(Spec spec)

### exclude

    PatternFilterable exclude(groovy.lang.Closure closure)

### excludeSpecs

    PatternFilterable excludeSpecs(java.lang.Iterable excludes)

### getAsSpec

    Spec getAsSpec()

### getExcludeSpecs

    java.util.Set getExcludeSpecs()

### getExcludes

    java.util.Set getExcludes()

### getIncludeSpecs

    java.util.Set getIncludeSpecs()

### getIncludes

    java.util.Set getIncludes()

### hashCode

    int hashCode()

### include

    PatternFilterable include(java.lang.String includes)

### include

    PatternFilterable include(java.lang.Iterable includes)

### include

    PatternFilterable include(Spec spec)

### include

    PatternFilterable include(groovy.lang.Closure closure)

### includeSpecs

    PatternFilterable includeSpecs(java.lang.Iterable includes)

### intersect

    PatternSet intersect()

### setExcludes

    PatternSet setExcludes(java.lang.Iterable excludes)

### setGlobalExcludes

    static java.lang.Object setGlobalExcludes(java.util.Collection excludes)

### setIncludes

    PatternSet setIncludes(java.lang.Iterable includes)

Groovy Documentation